# $Revision: 1.4 $, $Date: 2005/12/24 17:47:40 $
%define	module	cx_PyGenLib
Summary:	Generic Python modules used by Computronix projects
Summary(pl):	Podstawowe moduy Pythona wykorzystywane w projektach Computroniksa
Name:		python-%{module}
Version:	2.2
Release:	1
License:	BSD
Vendor:		Anthony Tuininga <anthony@computronix.com>
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/cx-freeze/%{module}-%{version}.tar.gz
# Source0-md5:	8bccc5a5d96bbe5d79d94443c1af8a24
URL:		http://www.computronix.com/utilities.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project contains a number of generic Python modules that are used
by Computronix for a number of projects (cx_Freeze, cx_OracleTools,
cx_OracleDBATools, etc.) and as such they are handled independently,
rather than bundled with the distribution of the dependent project.

%description -l pl
Ten projekt zawiera sporo podstawowych moduw Pythona, ktre s
wykorzystywane przez wiele projektw Computroniksa (cx_Freeze,
cx_OracleTools, cx_OracleDBATools i in.), ktrymi mona si posugiwa
niezalenie i dla ktrych nie ma powodu pakowania ich cznie z
odpowiednimi projektami.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT

# check-files shutup
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

# this modules are in standard Python 2.3 distribution
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/{modulefinder,textwrap,_strptime,optparse,tarfile}.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt HISTORY.txt
%{py_sitescriptdir}/cx_*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cx_PyGenLib.spec,v $
Revision 1.4  2005/12/24 17:47:40  arekm
- rel 1

Revision 1.3  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.2  2003/08/29 23:31:36  ankry
-pl

Revision 1.1  2003/08/26 14:50:04  wiget
- first release
